> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/examples/index.md).

# Examples

## Parallels RAS PowerShell - Examples

This section is organized into the following sub-sections:

[**Basic Example**](/landing/ras-powershell-api-guide/v20/examples/basic.md) demonstrates how to start a session, add\
major objects to a site, publish a desktop, activate a license, apply\
the changes, and finally end the session.

[**Farm Example**](/landing/ras-powershell-api-guide/v20/examples/farm.md) expands the basic example and shows how to\
modify objects, handle multiple objects and groups, and manage default\
settings.

[**Publishing Example**](/landing/ras-powershell-api-guide/v20/examples/publishing.md) demonstrates how to manage\
published resources and use filtering options.

[**VDI Example**](/landing/ras-powershell-api-guide/v20/examples/vdi.md) demonstrates how to add a Provider, and\
publish a desktop from a VDI Template.

[**Status Info Example**](/landing/ras-powershell-api-guide/v20/examples/statusinfo.md) demonstrates how to retrieve\
status information of an RDS, Gateway, Broker, Site and Provider.

[**RAS Agent Example**](/landing/ras-powershell-api-guide/v20/examples/rasagent.md) demonstrates how to manage RAS\
Agent operations.

[**RDS Template Example**](/landing/ras-powershell-api-guide/v20/examples/rdstemplate.md) demonstrates how to add an\
RDS Template and use it in an RDS Group.

[**Connection Broker Promote Example**](/landing/ras-powershell-api-guide/v20/examples/papromote.md) demonstrates how\
to promote a backup Connection Broker (Broker) when the primary\
Connection Broker is down.

You can find more scripts and examples from Parallels and RAS Community\
on[**GitHub**](https://github.com/Parallels/RAS-PowerShell/blob/master/Samples/README.md).

© 2025 Parallels International GmbH. Parallels and the Parallels logo\
are trademarks or registered trademarks of Parallels International GmbH\
in Canada, the U.S., and/or elsewhere.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/examples/index.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
